/* général */
body {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: rgb(11, 2, 22);
  font-size: 25pt;
}

/*Partie header*/

#HeadTitle {
  color: white;
  font-size: 90pt;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-weight: bold;
  font-style: italic;
}

td {
  background-color: rgb(15, 70, 92);
  min-width: 5em;
  border: 1em;
  border-color: rgb(23, 112, 148);
  border-radius: 0.2em;
  border-width: 1em;
  text-align: center;
  color: white;
}

/* Partie clavier */

#Letters {
  margin: 15pt;
  display: flex;
  flex-direction: column;
  align-items: center;
  color: white;
}

.input-ligne {
  font-size: 12pt;
  font-family: Arial, Helvetica, sans-serif;
  text-align: center;
  display: flex;
  flex-direction: row;
}

.input-lettre {
  border: 1em;
  border-radius: 1em;
  background-color: rgb(15, 70, 92);
  min-width: 1.2em;
  font-size: 32pt;
}

.isInLine {
  background-color: rgba(255, 251, 7, 0.897);
}

.isWellPlaced {
  background-color: rgb(255, 51, 0);
}

.notInWord {
  background-color: rgb(128, 128, 128);
}

#NbrWins {
  border: 1em;
  border-radius: 0.2em;
  border-color: white;
  background-color: white;
  color: black;
  font-size: 18pt;
}

@media screen and (max-width: 950px) {
  td {
    min-width: 2em;
    font-size: 15pt;
  }

  .input-lettre {
    border: 0.5em;
    border-radius: 0.5em;
    margin: 0.12em;
    background-color: rgb(15, 70, 92);
    min-width: 2em;
    font-size: 12pt;
    text-align: center;
    display: flex;
    flex-direction: column;
    padding: 0.4em;
  }

  .isInLine {
    background-color: rgba(255, 251, 7, 0.897);
  }
  
  .isWellPlaced {
    background-color: rgb(255, 51, 0);
  }
  
  .notInWord {
    background-color: rgb(128, 128, 128);
  }

  #NbrWins {
    border: 0.5em;
    border-radius: 0.2em;
    border-color: white;
    background-color: white;
    color: black;
    font-size: 12pt;
  }

  #HeadTitle {
    font-size: 18pt;
  }

  #Letters {
    margin-top: 0.4em;
    margin-bottom: 0.4em;
  }
}
